---
scenario:
  name: default
  test_sequence:
    - lint
#    - dependency
    - syntax
#    - create
#    - prepare
#    - converge
#    - idempotence
#    - side_effect
#    - verify
#    - destroy
dependency:
  name: galaxy
  enabled: False
driver:
  name: delegated
  options:
    managed: False
    ansible_connection_options:
      ansible_connection: local
lint: |
  yamllint .
  ansible-lint --force-color  --exclude={roles,inventory,library} -v -x 602,403,102,701,703,601 .
platforms:
  - name: gitlab-ci-docker-exec-deploy
    template: dcih-python369
    memory: 2048
    cpus: 1
provisioner:
  name: ansible
  options:
    vvv: False
  log: True
  lint:
    name: ansible-lint
    options:
      x:
        - 701
        - 703
        - 403      # Package installs should not use latest
        - 102      # jinja2 conditionalling with vars in double quotes
        - 601      # Don't compare to literal True/False
  env:
    ANSIBLE_ROLES_PATH: ../../../../../roles/
verifier:
  name: testinfra
  options:
    v: 1           # show which tests where executed in test output
  lint:
    name: flake8
